GDB (xrefs)

Macros | Functions
nm-i386gnu.h File Reference
`#include <unistd.h>`
`#include <mach.h>`
`#include <mach/exception.h>`
`#include "regcache.h"`

Go to the source code of this file.

## Macros
#define | THREAD_STATE_FLAVOR i386_REGS_SEGS_STATE
#define | THREAD_STATE_SIZE i386_THREAD_STATE_COUNT
#define | THREAD_STATE_SET_TRACED(state) ((struct i386_thread_state *) (state))->efl |= 0x100
#define | THREAD_STATE_CLEAR_TRACED(state) ((((struct i386_thread_state *) (state))->efl &= ~0x100), 1)

## Functions
char * | gnu_target_pid_to_str (int pid)

## Macro Definition Documentation

## ◆ THREAD_STATE_CLEAR_TRACED

#define THREAD_STATE_CLEAR_TRACED | ( |  | state | ) | ((((struct i386_thread_state *) (state))->efl &= ~0x100), 1)

Definition at line 34 of file nm-i386gnu.h.

Referenced by proc_trace().

## ◆ THREAD_STATE_FLAVOR

#define THREAD_STATE_FLAVOR i386_REGS_SEGS_STATE

Definition at line 30 of file nm-i386gnu.h.

Referenced by proc_get_state(), and proc_update_sc().

## ◆ THREAD_STATE_SET_TRACED

#define THREAD_STATE_SET_TRACED | ( |  | state | ) | ((struct i386_thread_state *) (state))->efl |= 0x100

Definition at line 32 of file nm-i386gnu.h.

Referenced by proc_trace().

## ◆ THREAD_STATE_SIZE

#define THREAD_STATE_SIZE i386_THREAD_STATE_COUNT

Definition at line 31 of file nm-i386gnu.h.

Referenced by proc_get_state(), and proc_update_sc().

## Function Documentation

## ◆ gnu_target_pid_to_str()

char* gnu_target_pid_to_str | ( | int | pid | ) |